org.multiverse.stms.gamma.transactions

## Interface GammaTxnFactory

All Superinterfaces:
  TxnFactory

    public interface GammaTxnFactory
    extends TxnFactory

A `TxnFactory` tailored for the `GammaStm`.

### Method Summary

Methods
`GammaTxnConfig` `getConfig()` Gets the `TxnConfig` used by this TxnFactory.
`GammaTxn` `newTransaction(GammaTxnPool pool)`
`GammaTxn` `newTxn()` Creates a new `Txn`.
`GammaTxn` `upgradeAfterSpeculativeFailure(GammaTxn tx, GammaTxnPool pool)`

### Methods inherited from interface org.multiverse.api.TxnFactory

`getTxnFactoryBuilder`

### Method Detail

#### getConfig

    GammaTxnConfig getConfig()

Description copied from interface: `TxnFactory`
Gets the `TxnConfig` used by this TxnFactory.

Specified by:
  `getConfig` in interface `TxnFactory`
Returns:
  the TxnConfig.

#### newTxn

    GammaTxn newTxn()

Description copied from interface: `TxnFactory`
Creates a new `Txn`.

Specified by:
  `newTxn` in interface `TxnFactory`
Returns:
  the created Txn.

#### newTransaction

    GammaTxn newTransaction(GammaTxnPool pool)

#### upgradeAfterSpeculativeFailure

    GammaTxn upgradeAfterSpeculativeFailure(GammaTxn tx,
                                          GammaTxnPool pool)